kdecore Library: KAcceleratorManager Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KAcceleratorManager Class Reference

KDE Accelerator manager. More...

`#include <kaccelmanager.h>`

List of all members.

## Static Public Member Functions
static void | manage (QWidget *widget)
static void | manage (QWidget *widget, bool programmers_mode)
static void | last_manage (QString &added, QString &changed, QString &removed)
static void | setNoAccel (QWidget *widget)

## Detailed Description

KDE Accelerator manager.

This class can be used to find a valid and working set of accelerators for any widget.

Author:
  Matthias Hölzer-Klüpfel <mhk@kde.org>

Since:
  3.1

Definition at line 40 of file kaccelmanager.h.

## Member Function Documentation

void KAcceleratorManager::manage | ( | QWidget * | widget | ) | `[static]`

  | Manages the accelerators of a widget. Call this function on the top widget of the hierarchy you want to manage. It will fix the accelerators of the child widgets so there are never duplicate accelerators. It also tries to put accelerators on as many widgets as possible. The algorithm used tries to take the existing accelerators into account, as well as the class of each widget. Hopefully, the result is close to what you would assign manually. QPopupMenu's are managed dynamically, so when you add or remove entries, the accelerators are reassigned. If you add or remove widgets to your toplevel widget, you will have to call manage again to fix the accelerators. Parameters:
  | widget | The toplevel widget you want to manage.
Definition at line 449 of file kaccelmanager.cpp.

void KAcceleratorManager::manage | ( | QWidget * | widget,
|  | bool | programmers_mode
| ) | `[static]`

  | Does the same as the above function, but puts hints in the GUI so the programmer can enhance his program. TODO KDE4: merge with the above Parameters:
  | widget | The toplevel widget you want to manage.
  | programmers_mode | if true, KAcceleratorManager adds (&) for removed accels and & before added accels
Definition at line 454 of file kaccelmanager.cpp.

void KAcceleratorManager::setNoAccel | ( | QWidget * | widget | ) | `[static]`

| Use this method for a widget (and it's children) you want no accels to be set on. Since: 3.4 Definition at line 869 of file kaccelmanager.cpp.

The documentation for this class was generated from the following files:

- kaccelmanager.h
- kaccelmanager.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003